io.vertx.ext.consul

## Class EventListOptions

- java.lang.Object
- - io.vertx.ext.consul.EventListOptions

-     public class EventListOptions
      extends Object

  Holds options for events list request
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventListOptions()` Default constructor
    `EventListOptions(JsonObject json)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BlockingQueryOptions` | `getBlockingOptions()` Get options for blocking query
    `String` | `getName()` Get event name for filtering on events
    `EventListOptions` | `setBlockingOptions(BlockingQueryOptions options)` Set options for blocking query
    `EventListOptions` | `setName(String name)` Set event name for filtering on events
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventListOptions

          public EventListOptions()

      Default constructor

    - #### EventListOptions

          public EventListOptions(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getName

          public String getName()

      Get event name for filtering on events
      Returns:
        name of the event

    - #### getBlockingOptions

          public BlockingQueryOptions getBlockingOptions()

      Get options for blocking query
      Returns:
        the blocking options

    - #### setName

          public EventListOptions setName(String name)

      Set event name for filtering on events
      Parameters:
        `name` - name of the event
      Returns:
        reference to this, for fluency

    - #### setBlockingOptions

          public EventListOptions setBlockingOptions(BlockingQueryOptions options)

      Set options for blocking query
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency

Copyright © 2017. All rights reserved.